from .input import _SciImSupport
from .scilexerdefault import QsciLexerDefault
from .scilexerrest_py import QsciLexerRest
from .scilexerart import QsciLexerArt
from PyQt5 import Qsci


EXTENSION_LEXER = {
    '.avs': Qsci.QsciLexerAVS,
    '.sh': Qsci.QsciLexerBash,
    '.bash': Qsci.QsciLexerBash,
    '.bat': Qsci.QsciLexerBatch,
    '.cmd': Qsci.QsciLexerBatch,
    '.cmake': Qsci.QsciLexerCMake,
    '.cpp': Qsci.QsciLexerCPP,
    '.cxx': Qsci.QsciLexerCPP,
    '.cc': Qsci.QsciLexerCPP,
    '.c': Qsci.QsciLexerCPP,
    '.hpp': Qsci.QsciLexerCPP,
    '.hxx': Qsci.QsciLexerCPP,
    '.hh': Qsci.QsciLexerCPP,
    '.h': Qsci.QsciLexerCPP,
    '.css': Qsci.QsciLexerCSS,
    '.cs': Qsci.QsciLexerCSharp,
    '.coffee': Qsci.QsciLexerCoffeeScript,
    '.d': Qsci.QsciLexerD,
    '.diff': Qsci.QsciLexerDiff,
    '.f': Qsci.QsciLexerFortran,
    '.f77': Qsci.QsciLexerFortran77,
    '.html': Qsci.QsciLexerHTML,
    '.htm': Qsci.QsciLexerHTML,
    '.asp': Qsci.QsciLexerHTML,
    '.php': Qsci.QsciLexerHTML,
    '.idl': Qsci.QsciLexerIDL,
    '.json': Qsci.QsciLexerJSON,
    '.java': Qsci.QsciLexerJava,
    '.js': Qsci.QsciLexerJavaScript,
    '.lua': Qsci.QsciLexerLua,
    '.makefile': Qsci.QsciLexerMakefile,
    '.markdown': Qsci.QsciLexerMarkdown,
    '.md': Qsci.QsciLexerMarkdown,
    '.matlib': Qsci.QsciLexerMatlab,
    '.octave': Qsci.QsciLexerOctave,
    '.po': Qsci.QsciLexerPO,
    '.pot': Qsci.QsciLexerPO,
    '.pov': Qsci.QsciLexerPOV,
    '.inc': Qsci.QsciLexerPOV,
    '.pas': Qsci.QsciLexerPascal,
    '.pl': Qsci.QsciLexerPerl,
    '.pm': Qsci.QsciLexerPerl,
    '.ps': Qsci.QsciLexerPostScript,
    '.ini': Qsci.QsciLexerProperties,
    '.properties': Qsci.QsciLexerProperties,
    '.py': Qsci.QsciLexerPython,
    '.rb': Qsci.QsciLexerRuby,
    '.sql': Qsci.QsciLexerSQL,
    '.spice': Qsci.QsciLexerSpice,
    '.tcl': Qsci.QsciLexerTCL,
    '.tex': Qsci.QsciLexerTeX,
    '.vhdl': Qsci.QsciLexerVHDL,
    '.verilog': Qsci.QsciLexerVerilog,
    '.xml': Qsci.QsciLexerXML,
    '.yaml': Qsci.QsciLexerYAML,
    '.yml': Qsci.QsciLexerYAML,
    '.rst': QsciLexerRest,
    '.rest': QsciLexerRest,
    '.txt': QsciLexerDefault,
    '.log': QsciLexerDefault,
    '.csv': QsciLexerDefault,
    '.nfo': QsciLexerArt,
    '.art': QsciLexerArt,
}
